Tag: Polycom

Polycom Cannot download certificate because domain is not accessible

Polycom-cannot-validate-and-install-certificate

On first sign in Polycom phone cannot download certificate because domain is not accessible and displays the following messages: Be sociable 🙂 Share!

Continue reading

Updating Polycom SIP Phone firmware

This process can be used on any of the Polycom SIP Phones which support 4.x software today (SoundPoint IP, SoundStation IP, VVX, and SpectraLink models). This only applies to devices which are already running at least version 4.0.0 of the UCS firmware. In previous versions (Polycom SIP software 3.x or earlier) this manual process was …

Continue reading